Index: public/vendors/charts/apex/apexcharts.amd.js
===================================================================
--- public/vendors/charts/apex/apexcharts.amd.js	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
+++ public/vendors/charts/apex/apexcharts.amd.js	(revision 4952f8e8349080ef7aaeef1678d5b2039f173d59)
@@ -29808,5 +29808,5 @@
 
         // If the target is an svg element, use that element as the main wrapper.
-        // This allows svg.js to work with svg documents as well.
+        // This allows svg.js to work with svg folders as well.
         if (element.nodeName == 'svg') {
           this.constructor.call(this, element);
@@ -32507,5 +32507,5 @@
 	if (options.transform && obj.css) {
 	    result = typeof options.transform === 'function'
-		 ? options.transform(obj.css) 
+		 ? options.transform(obj.css)
 		 : options.transform.default(obj.css);
 
Index: public/vendors/charts/apex/apexcharts.common.js
===================================================================
--- public/vendors/charts/apex/apexcharts.common.js	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
+++ public/vendors/charts/apex/apexcharts.common.js	(revision 4952f8e8349080ef7aaeef1678d5b2039f173d59)
@@ -23306,5 +23306,5 @@
         // ensure the presence of a dom element
         element = typeof element === 'string' ? document.getElementById(element) : element; // If the target is an svg element, use that element as the main wrapper.
-        // This allows svg.js to work with svg documents as well.
+        // This allows svg.js to work with svg folders as well.
 
         if (element.nodeName == 'svg') {
@@ -26211,5 +26211,5 @@
       return this.p.matrixTransform(this.m)
   };
-  
+
   // gets elements bounding box with special handling of groups, nested and use
   DragHandler.prototype.getBBox = function(){
@@ -26218,5 +26218,5 @@
 
     if(this.el instanceof SVG.Nested) box = this.el.rbox();
-    
+
     if (this.el instanceof SVG.G || this.el instanceof SVG.Use || this.el instanceof SVG.Nested) {
       box.x = this.el.x();
@@ -26236,5 +26236,5 @@
       }
     }
-  
+
     var _this = this;
 
@@ -26251,11 +26251,11 @@
 
     var box = this.getBBox();
-    
+
     var anchorOffset;
-    
+
     // fix text-anchor in text-element (#37)
     if(this.el instanceof SVG.Text){
       anchorOffset = this.el.node.getComputedTextLength();
-        
+
       switch(this.el.attr('text-anchor')){
         case 'middle':
@@ -26267,5 +26267,5 @@
       }
     }
-    
+
     this.startPoints = {
       // We take absolute coordinates since we are just using a delta here
@@ -26274,5 +26274,5 @@
       transform: this.el.transform()
     };
-    
+
     // add drag and end events to window
     SVG.on(window, 'mousemove.drag', function(e){ _this.drag(e); });
@@ -26301,5 +26301,5 @@
       , gx  = p.x - this.startPoints.point.x
       , gy  = p.y - this.startPoints.point.y;
-      
+
     var event = new CustomEvent('dragmove', {
         detail: {
@@ -26311,7 +26311,7 @@
       , cancelable: true
     });
-      
+
     this.el.fire(event);
-    
+
     if(event.defaultPrevented) return p
 
@@ -26353,5 +26353,5 @@
       else if (c.maxY != null && y > c.maxY - box.height)
         y = c.maxY - box.height;
-        
+
       if(this.el instanceof SVG.G)
         this.el.matrix(this.startPoints.transform).transform({x:gx, y: gy}, true);
@@ -26359,5 +26359,5 @@
         this.el.move(x, y);
     }
-    
+
     // so we can use it in the end-method, too
     return p
Index: public/vendors/charts/apex/apexcharts.esm.js
===================================================================
--- public/vendors/charts/apex/apexcharts.esm.js	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
+++ public/vendors/charts/apex/apexcharts.esm.js	(revision 4952f8e8349080ef7aaeef1678d5b2039f173d59)
@@ -23304,5 +23304,5 @@
         // ensure the presence of a dom element
         element = typeof element === 'string' ? document.getElementById(element) : element; // If the target is an svg element, use that element as the main wrapper.
-        // This allows svg.js to work with svg documents as well.
+        // This allows svg.js to work with svg folders as well.
 
         if (element.nodeName == 'svg') {
@@ -26209,5 +26209,5 @@
       return this.p.matrixTransform(this.m)
   };
-  
+
   // gets elements bounding box with special handling of groups, nested and use
   DragHandler.prototype.getBBox = function(){
@@ -26216,5 +26216,5 @@
 
     if(this.el instanceof SVG.Nested) box = this.el.rbox();
-    
+
     if (this.el instanceof SVG.G || this.el instanceof SVG.Use || this.el instanceof SVG.Nested) {
       box.x = this.el.x();
@@ -26234,5 +26234,5 @@
       }
     }
-  
+
     var _this = this;
 
@@ -26249,11 +26249,11 @@
 
     var box = this.getBBox();
-    
+
     var anchorOffset;
-    
+
     // fix text-anchor in text-element (#37)
     if(this.el instanceof SVG.Text){
       anchorOffset = this.el.node.getComputedTextLength();
-        
+
       switch(this.el.attr('text-anchor')){
         case 'middle':
@@ -26265,5 +26265,5 @@
       }
     }
-    
+
     this.startPoints = {
       // We take absolute coordinates since we are just using a delta here
@@ -26272,5 +26272,5 @@
       transform: this.el.transform()
     };
-    
+
     // add drag and end events to window
     SVG.on(window, 'mousemove.drag', function(e){ _this.drag(e); });
@@ -26299,5 +26299,5 @@
       , gx  = p.x - this.startPoints.point.x
       , gy  = p.y - this.startPoints.point.y;
-      
+
     var event = new CustomEvent('dragmove', {
         detail: {
@@ -26309,7 +26309,7 @@
       , cancelable: true
     });
-      
+
     this.el.fire(event);
-    
+
     if(event.defaultPrevented) return p
 
@@ -26351,5 +26351,5 @@
       else if (c.maxY != null && y > c.maxY - box.height)
         y = c.maxY - box.height;
-        
+
       if(this.el instanceof SVG.G)
         this.el.matrix(this.startPoints.transform).transform({x:gx, y: gy}, true);
@@ -26357,5 +26357,5 @@
         this.el.move(x, y);
     }
-    
+
     // so we can use it in the end-method, too
     return p
Index: public/vendors/charts/apex/apexcharts.js
===================================================================
--- public/vendors/charts/apex/apexcharts.js	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
+++ public/vendors/charts/apex/apexcharts.js	(revision 4952f8e8349080ef7aaeef1678d5b2039f173d59)
@@ -23310,5 +23310,5 @@
           // ensure the presence of a dom element
           element = typeof element === 'string' ? document.getElementById(element) : element; // If the target is an svg element, use that element as the main wrapper.
-          // This allows svg.js to work with svg documents as well.
+          // This allows svg.js to work with svg folders as well.
 
           if (element.nodeName == 'svg') {
@@ -26215,5 +26215,5 @@
         return this.p.matrixTransform(this.m)
     };
-    
+
     // gets elements bounding box with special handling of groups, nested and use
     DragHandler.prototype.getBBox = function(){
@@ -26222,5 +26222,5 @@
 
       if(this.el instanceof SVG.Nested) box = this.el.rbox();
-      
+
       if (this.el instanceof SVG.G || this.el instanceof SVG.Use || this.el instanceof SVG.Nested) {
         box.x = this.el.x();
@@ -26240,5 +26240,5 @@
         }
       }
-    
+
       var _this = this;
 
@@ -26255,11 +26255,11 @@
 
       var box = this.getBBox();
-      
+
       var anchorOffset;
-      
+
       // fix text-anchor in text-element (#37)
       if(this.el instanceof SVG.Text){
         anchorOffset = this.el.node.getComputedTextLength();
-          
+
         switch(this.el.attr('text-anchor')){
           case 'middle':
@@ -26271,5 +26271,5 @@
         }
       }
-      
+
       this.startPoints = {
         // We take absolute coordinates since we are just using a delta here
@@ -26278,5 +26278,5 @@
         transform: this.el.transform()
       };
-      
+
       // add drag and end events to window
       SVG.on(window, 'mousemove.drag', function(e){ _this.drag(e); });
@@ -26305,5 +26305,5 @@
         , gx  = p.x - this.startPoints.point.x
         , gy  = p.y - this.startPoints.point.y;
-        
+
       var event = new CustomEvent('dragmove', {
           detail: {
@@ -26315,7 +26315,7 @@
         , cancelable: true
       });
-        
+
       this.el.fire(event);
-      
+
       if(event.defaultPrevented) return p
 
@@ -26357,5 +26357,5 @@
         else if (c.maxY != null && y > c.maxY - box.height)
           y = c.maxY - box.height;
-          
+
         if(this.el instanceof SVG.G)
           this.el.matrix(this.startPoints.transform).transform({x:gx, y: gy}, true);
@@ -26363,5 +26363,5 @@
           this.el.move(x, y);
       }
-      
+
       // so we can use it in the end-method, too
       return p