Index: frontend/src/Pages/HotelDetailsPage.js
===================================================================
--- frontend/src/Pages/HotelDetailsPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/HotelDetailsPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -1,5 +1,9 @@
 import React from "react";
 import LoginForm from "../Components/Login/LoginForm";
+<<<<<<< HEAD
 import {Container, Row, Col, Form, FloatingLabel, Modal, Button} from "react-bootstrap";
+=======
+import { Container, Row, Col, Form } from "react-bootstrap";
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import Carousel from "react-bootstrap/Carousel";
@@ -69,7 +73,6 @@
                   placeholder="Каде ќе патувате?:"
                   id="location"
-                  value={data.hotelLocation}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="location">Локација:</label>
+                <label htmlFor="location">Локација:</label>
               </Form.Floating>
             </Row>
@@ -81,7 +84,6 @@
                   placeholder="Датум на пристигнување:"
                   id="dateFrom"
-                  value={from}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="dateFrom">Датум на пристигнување:</label>
+                <label htmlFor="dateFrom">Датум на пристигнување:</label>
               </Form.Floating>
             </Row>
@@ -93,7 +95,6 @@
                   placeholder="Датум на заминување:"
                   id="dateTo"
-                  value={to}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="dateTo">Датум на заминување:</label>
+                <label htmlFor="dateTo">Датум на заминување:</label>
               </Form.Floating>
             </Row>
@@ -106,5 +107,5 @@
                   id="floatingPassengers"
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="floatingPassengers">Број на гости:</label>
+                <label htmlFor="floatingPassengers">Број на гости:</label>
               </Form.Floating>
             </Row>
Index: frontend/src/Pages/HotelEditPage.js
===================================================================
--- frontend/src/Pages/HotelEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/HotelEditPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -1,60 +1,59 @@
-import React, {useState} from "react";
-import {Container, Col, Row, Image} from "react-bootstrap";
+import React, { useState } from "react";
+import { Container, Col, Row, Image } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
 import HotelEditTab from "../Components/HotelEdit/HotelEditTab";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useParams} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useParams } from "react-router-dom";
 
 
 const HotelEditPage = () => {
 
-    const params = useParams();
-    const link = "/hotel/list/" + params.hotelId;
-    const [changed, setChanged] = useState(0)
-    const {data, setData, isLoading, getData} = useGet(link, changed);
+  const params = useParams();
+  const link = "/hotel/list/" + params.hotelId;
+  const [changed, setChanged] = useState(0)
+  const { data, setData, isLoading, getData } = useGet(link, changed);
 
 
-    console.log(data)
-    return (
-        <>
-            <Navigation/>
-            {!isLoading && <Container>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
-                </Row>
-                <Row className="mb-5">
-                    <Col>
-                        <Row className="d-flex mb-3">
-                            <Col
-                                className="d-flex justify-content-center"
-                                style={{maxWidth: "30%"}}
-                            >
-                                <Image
-                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                    style={{
-                                        height: "5em",
-                                        borderRadius: "50%",
-                                        maxWidth: "100%",
-                                    }}
-                                    className="m-auto"
-                                ></Image>
-                            </Col>
-                            <Col className="d-flex justify-content-center">
-                                <Container className="pt-2" style={{textAlign: "left"}}>
-                                    <h4>{data.hotelName}</h4>
-                                    <h5>{data.hotelLocation}</h5>
-                                </Container>
-                            </Col>
-                        </Row>
-                    </Col>
-                </Row>
-                <Row>
-                    <HotelEditTab refresh={setChanged} displayRoom={data}/>
-                </Row>
-            </Container>}
-        </>
-    );
+  console.log(data)
+  return (
+    <>
+      <Navigation />
+      {!isLoading && <Container>
+        <Row className="mb-5">
+          <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+        </Row>
+        <Row className="mb-5">
+          <Col>
+            <Row className="d-flex mb-3">
+              <Col
+                className="d-flex justify-content-center"
+                style={{ maxWidth: "30%" }}
+              >
+                <Image
+                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                  style={{
+                    height: "5em",
+                    borderRadius: "50%",
+                    maxWidth: "100%",
+                  }}
+                  className="m-auto"
+                ></Image>
+              </Col>
+              <Col className="d-flex justify-content-center">
+                <Container className="pt-2" style={{ textAlign: "left" }}>
+                  <h4>{data.hotelName}</h4>
+                  <h5>{data.hotelLocation}</h5>
+                </Container>
+              </Col>
+            </Row>
+          </Col>
+        </Row>
+        <Row>
+            <HotelEditTab refresh={setChanged} displayRoom={data}/>
+        </Row>
+      </Container>}
+    </>
+  );
 };
 
Index: frontend/src/Pages/LoginErrorPage.js
===================================================================
--- frontend/src/Pages/LoginErrorPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/LoginErrorPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -11,4 +11,5 @@
     const [show, setShow] = useState(false);
     const [changed, setChanged] = useState(0);
+    const {data, isLoading} = useGet("/username")
     const userId = localStorage.getItem("userId")
     const [registered, setRegistered] = useState(false);
Index: frontend/src/Pages/LoginPage.js
===================================================================
--- frontend/src/Pages/LoginPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/LoginPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -3,7 +3,4 @@
 import { Container } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
-
 
 const LoginPage = () => {
@@ -11,12 +8,4 @@
   document.body.style.marginTop = "auto";
   document.body.style.marginBottom = "auto";
-
-  const Auth = useAuth();
-  const isLoggedIn = Auth.userIsAuthenticated();
-
-    if (isLoggedIn) {
-        return <Navigate to={'/home'}/>
-    }
-
   return (
     <>
Index: frontend/src/Pages/NoBusinessRegisteredError.js
===================================================================
--- frontend/src/Pages/NoBusinessRegisteredError.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/NoBusinessRegisteredError.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -6,12 +6,10 @@
 import RegisterBusinessForm from "../Components/Forms/RegisterBusinessForm";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useNavigate} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useNavigate } from "react-router-dom";
 
 const NoBusinessRegisteredError = (props) => {
   const [show, setShow] = useState(false);
   const [changed, setChanged] = useState(0);
-  const Auth = useAuth();
-  const isLoggedIn = Auth.userIsAuthenticated();
+  const {data, isLoading} = useGet("/username")
   const userId = localStorage.getItem("userId")
   const [registered, setRegistered] = useState(false);
@@ -47,9 +45,7 @@
 
 
-  if(!isLoggedIn)
-  {
-    return <Navigate to={'/login'}/>
-  }
+  console.log(data)
 
+  !isLoading && !data && navigator("/login")
   !firmaIsLoading && firma && firma.length > 0 && firma[0].approved && navigator("/resources/hotel")
   
Index: frontend/src/Pages/ProfilePage.js
===================================================================
--- frontend/src/Pages/ProfilePage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/ProfilePage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -8,13 +8,10 @@
 import ChangePasswordForm from "../Components/Forms/ChangePasswordForm";
 import useGet from "../Components/Hooks/useGet";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
 
 const ProfilePage = () => {
 
-    const { data, setData, isLoading, getData } = useGet("/principal");
+  const { data, setData, isLoading, getData } = useGet("/principal");
 
-
-
+  
     const profileData = {
         "name": "Марко",
@@ -22,5 +19,5 @@
         "address": "ул. Раскрсница бр. 10",
         "dateOfBirth": "2002-01-01",
-        "country": "Македонија",
+        "country": "Никогаш Северна само МАКЕДОНИЈА",
         "zip": "1000",
         "city": "Скопје",
@@ -30,9 +27,8 @@
 
 
-
   return (
     <>
       <Navigation />
-    {!isLoading && <Container>
+{      !isLoading && <Container>
         <Row className="mb-5">
           <h2 style={{ color: "#159895", textAlign: "left" }}>Мојот профил</h2>
Index: frontend/src/Pages/ResourcesPage.js
===================================================================
--- frontend/src/Pages/ResourcesPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/ResourcesPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -1,55 +1,54 @@
 import React from "react";
-import {Container, Col, Row, Image} from "react-bootstrap";
+import { Container, Col, Row, Image } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
-import {useState} from "react";
+import { useState } from "react";
 import useGet from "../Components/Hooks/useGet";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
 
 const ResourcesPage = (props) => {
 
-    const Auth = useAuth();
-    const user = Auth.getUser();
+  console.log(props.tab)
+  const { data, setData, isLoading, getData } = useGet("/principal");
 
-    return (
-        <>
-            <Navigation/>
-            {<Container>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
-                </Row>
-                <Row className="mb-5">
-                    <Col>
-                        <Row className="d-flex mb-3">
-                            <Col
-                                className="d-flex justify-content-center"
-                                style={{maxWidth: "30%"}}
-                            >
-                                <Image
-                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                    style={{
-                                        height: "5em",
-                                        borderRadius: "50%",
-                                        maxWidth: "100%",
-                                    }}
-                                    className="m-auto"
-                                ></Image>
-                            </Col>
-                            <Col className="d-flex justify-content-center">
-                                <Container className="pt-2" style={{textAlign: "left"}}>
-                                    <h4>{user.name + " " + user.surname}</h4>
-                                    <h5>{user.username}</h5>
-                                </Container>
-                            </Col>
-                        </Row>
-                    </Col>
-                </Row>
-                <Row>
-                    <ResourcesTab tab={props.tab}></ResourcesTab>
-                </Row>
-            </Container>}
-        </>
-    );
+
+  return (
+    <>
+      <Navigation />
+{!isLoading && <Container>
+        <Row className="mb-5">
+          <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+        </Row>
+        <Row className="mb-5">
+          <Col>
+            <Row className="d-flex mb-3">
+              <Col
+                className="d-flex justify-content-center"
+                style={{ maxWidth: "30%" }}
+              >
+                <Image
+                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                  style={{
+                    height: "5em",
+                    borderRadius: "50%",
+                    maxWidth: "100%",
+                  }}
+                  className="m-auto"
+                ></Image>
+              </Col>
+              <Col className="d-flex justify-content-center">
+                <Container className="pt-2" style={{ textAlign: "left" }}>
+                  <h4>{data.name + " " + data.surname}</h4>
+                  <h5>{data.email}</h5>
+                </Container>
+              </Col>
+            </Row>
+          </Col>
+        </Row>
+        <Row>
+            <ResourcesTab tab={props.tab}></ResourcesTab>
+        </Row>
+      </Container>}
+    </>
+  );
 };
 
Index: frontend/src/Pages/RestaurantEditPage.js
===================================================================
--- frontend/src/Pages/RestaurantEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/RestaurantEditPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -6,6 +6,5 @@
 import RestaurantEditTab from "../Components/RestaurantEdit/RestaurantEditTab";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useParams, useSearchParams} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useParams, useSearchParams } from "react-router-dom";
 
 const RestaurantEditPage = () => {
Index: frontend/src/Pages/SearchPage.js
===================================================================
--- frontend/src/Pages/SearchPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/SearchPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -11,5 +11,5 @@
 import BecomeAHost from "../Components/BecomeAHost/BecomeAHost"
 import HotelLisitng from "../Components/Listings/HotelListing"
-import SearchCriteriasHotel from "../Components/SearchCriterias/SearchCriteriasHotel";
+import SearchCriterias from "../Components/SearchCriterias/SearchCriteriasBar";
 import SortButton from "../Components/Listings/SortButton";
 import FilterButton from "../Components/Listings/FilterButton";
@@ -17,7 +17,10 @@
 import useGet from "../Components/Hooks/useGet";
 import { useParams } from "react-router-dom";
+<<<<<<< HEAD
 import SearchCriteriasBar from "../Components/SearchCriterias/SearchCriteriasBar";
 import RestaurantDetailsPage from "./RestaurantDetailsPage";
 import RestaurantListing from "../Components/Listings/RestaurantListing";
+=======
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 
 
@@ -39,5 +42,9 @@
     }
     
+<<<<<<< HEAD
     let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}&numPassengers=${params.numPassengers}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}` : `/restaurant/search?restaurantLocation=${params.restaurantLocation}&date=${params.date}&hourFrom=${params.hourFrom}&hourTo=${params.hourTo}&numPeople=${params.numPeople}`
+=======
+    let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}` : ""
+>>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
     console.log(link)
     console.log(params.date)
@@ -47,5 +54,5 @@
         <>
             <Navigation></Navigation>
-            <SearchCriteriasBar type={props.type} criterias={useParams()}></SearchCriteriasBar>
+            <SearchCriterias criterias={useParams()}></SearchCriterias>
             <Container className="d-flex justify-content-end gx-5" style={{maxWidth: "60%"}}>
                 <Row>
Index: frontend/src/Pages/TransportEditPage.js
===================================================================
--- frontend/src/Pages/TransportEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/TransportEditPage.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
@@ -1,4 +1,4 @@
-import React, {useState} from "react";
-import {Container, Col, Row, Image} from "react-bootstrap";
+import React, { useState } from "react";
+import { Container, Col, Row, Image } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
@@ -7,58 +7,56 @@
 import TransportEditTab from "../Components/TransportEdit/TransportEditTab";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useParams} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useParams } from "react-router-dom";
 
 const TransportEditPage = () => {
+  const params = useParams();
+  console.log("transportot ima id " + params.transportId);
+  const link = "/transport/" + params.transportId;
+  const [changed, setChanged] = useState(0);
+  const { data, setData, isLoading, getData } = useGet(link, changed);
 
-    const params = useParams();
+  !isLoading && console.log(data)
 
-    const link = "/transport/" + params.transportId;
-
-    const {data, setData, isLoading, getData, setChanged} = useGet(link);
-
-    !isLoading && console.log(data)
-
-    return (
-        <>
-            <Navigation/>
-            {!isLoading && (
-                <Container>
-                    <Row className="mb-5">
-                        <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
-                    </Row>
-                    <Row className="mb-5">
-                        <Col>
-                            <Row className="d-flex mb-3">
-                                <Col
-                                    className="d-flex justify-content-center"
-                                    style={{maxWidth: "30%"}}
-                                >
-                                    <Image
-                                        src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                        style={{
-                                            height: "5em",
-                                            borderRadius: "50%",
-                                            maxWidth: "100%",
-                                        }}
-                                        className="m-auto"
-                                    ></Image>
-                                </Col>
-                                <Col className="d-flex justify-content-center">
-                                    <Container className="pt-2" style={{textAlign: "left"}}>
-                                        <h4>{data.transportName}</h4>
-                                        <h5>{data.carBrand + " " + data.carType}</h5>
-                                    </Container>
-                                </Col>
-                            </Row>
-                        </Col>
-                    </Row>
-                    <Row>
-                        {data && <TransportEditTab displayRoute={data} refresh={setChanged}/>}
-                    </Row>
-                </Container>
-            )}
-        </>
-    );
+  return (
+    <>
+      <Navigation />
+      {!isLoading && (
+        <Container>
+          <Row className="mb-5">
+            <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+          </Row>
+          <Row className="mb-5">
+            <Col>
+              <Row className="d-flex mb-3">
+                <Col
+                  className="d-flex justify-content-center"
+                  style={{ maxWidth: "30%" }}
+                >
+                  <Image
+                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                    style={{
+                      height: "5em",
+                      borderRadius: "50%",
+                      maxWidth: "100%",
+                    }}
+                    className="m-auto"
+                  ></Image>
+                </Col>
+                <Col className="d-flex justify-content-center">
+                  <Container className="pt-2" style={{ textAlign: "left" }}>
+                    <h4>{data.transportName}</h4>
+                    <h5>{data.carBrand + " " + data.carType}</h5>
+                  </Container>
+                </Col>
+              </Row>
+            </Col>
+          </Row>
+          <Row>
+            {data && <TransportEditTab displayRoute={data} refresh={setChanged}/>}
+          </Row>
+        </Container>
+      )}
+    </>
+  );
 };
 