Index: src/main/java/com/example/moviezone/model/Customer.java
===================================================================
--- src/main/java/com/example/moviezone/model/Customer.java	(revision 27adfc85d869524dd150ae6a51be4c1f37873290)
+++ src/main/java/com/example/moviezone/model/Customer.java	(revision 6032d442b3648e563c7c5135f50508bd53fa7052)
@@ -25,7 +25,11 @@
     Integer points;
 
-//    public Customer(String password, String first_name, String last_name, String address, String contact_number, String username) {
-//        super(password, first_name, last_name, address, contact_number, username);
-//    }
+    public Customer(String password, String first_name, String last_name, String address, String contact_number, String username) {
+        super(password, first_name, last_name, address, contact_number, username);
+    }
+
+    public Customer() {
+
+    }
 
     @Override
Index: src/main/java/com/example/moviezone/model/Worker.java
===================================================================
--- src/main/java/com/example/moviezone/model/Worker.java	(revision 27adfc85d869524dd150ae6a51be4c1f37873290)
+++ src/main/java/com/example/moviezone/model/Worker.java	(revision 6032d442b3648e563c7c5135f50508bd53fa7052)
@@ -28,7 +28,11 @@
     Cinema cinema;
 
-//    public Worker(String password, String first_name, String last_name, String address, String contact_number, String username) {
-//        super(password, first_name, last_name, address, contact_number, username);
-//    }
+    public Worker(String password, String first_name, String last_name, String address, String contact_number, String username) {
+        super(password, first_name, last_name, address, contact_number, username);
+    }
+
+    public Worker() {
+
+    }
 
     @Override
Index: src/main/java/com/example/moviezone/service/Impl/UserServiceImpl.java
===================================================================
--- src/main/java/com/example/moviezone/service/Impl/UserServiceImpl.java	(revision 27adfc85d869524dd150ae6a51be4c1f37873290)
+++ src/main/java/com/example/moviezone/service/Impl/UserServiceImpl.java	(revision 6032d442b3648e563c7c5135f50508bd53fa7052)
@@ -38,13 +38,18 @@
     }
 
-//    @Override
-//    public User register(String first_name, String last_name, String username, String email, String number, String password, String role) {
-//        if(role.equals("worker"))
-//        {
-//            return userRepository.save(new Worker(passwordEncoder.encode(password),first_name,last_name,username,email,number));
-//        }
-//        else if (role.equals("user"))
-//            return userRepository.save(new Customer(passwordEncoder.encode(password),first_name,last_name,username,email,number));
-//    }
+    @Override
+    public User register(String first_name, String last_name, String username, String email, String number, String password, String role) {
+        if(role.equals("worker"))
+        {
+            return userRepository.save(new Worker(passwordEncoder.encode(password),first_name,last_name,username,email,number));
+        }
+        else
+            return userRepository.save(new Customer(passwordEncoder.encode(password),first_name,last_name,username,email,number));
+    }
+
+    @Override
+    public User login(String username, String password) {
+        return userRepository.findAllByUsernameAndPassword(username,password).stream().findFirst().orElseThrow(UserNotFoundException::new);
+    }
 
 
Index: src/main/java/com/example/moviezone/service/UserService.java
===================================================================
--- src/main/java/com/example/moviezone/service/UserService.java	(revision 27adfc85d869524dd150ae6a51be4c1f37873290)
+++ src/main/java/com/example/moviezone/service/UserService.java	(revision 6032d442b3648e563c7c5135f50508bd53fa7052)
@@ -10,5 +10,5 @@
     User findByUsername(String username);
 
-//    User register(String first_name, String last_name,String username, String email, String number, String password, String role);
-
+  User register(String first_name, String last_name,String username, String email, String number, String password, String role);
+    User login(String username,String password);
 }
Index: src/main/java/com/example/moviezone/web/HomeController.java
===================================================================
--- src/main/java/com/example/moviezone/web/HomeController.java	(revision 27adfc85d869524dd150ae6a51be4c1f37873290)
+++ src/main/java/com/example/moviezone/web/HomeController.java	(revision 6032d442b3648e563c7c5135f50508bd53fa7052)
@@ -24,4 +24,5 @@
     }
 
+    
 
 }