Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Answer.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Answer.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/Answer.cs	(revision 7146ebb2db66bf2d2437fe44c758e82313ba6278)
@@ -20,7 +20,7 @@
         public DateTime CreatedOn { get; set; }
 
-        public virtual IEnumerable<Upvote> Upvotes { get; set; }
+        public virtual ICollection<Upvote> Upvotes { get; set; }
 
-        public virtual IEnumerable<AnswerResponse> AnswerResponses { get; set; }
+        public virtual ICollection<AnswerResponse> AnswerResponses { get; set; }
 
     }
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Base/BaseEntity.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Base/BaseEntity.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/Base/BaseEntity.cs	(revision 7146ebb2db66bf2d2437fe44c758e82313ba6278)
@@ -1,7 +1,3 @@
 ﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 
 namespace FinkiChattery.Persistence.Models
@@ -9,4 +5,9 @@
     public class BaseEntity
     {
+        public BaseEntity()
+        {
+            Uid = Guid.NewGuid();
+        }
+
         public long Id { get; set; }
 
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Question.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Question.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/Question.cs	(revision 7146ebb2db66bf2d2437fe44c758e82313ba6278)
@@ -6,4 +6,12 @@
     public class Question : BaseEntity
     {
+        public Question() : base()
+        {
+            CreatedOn = DateTime.UtcNow;
+            LastActiveOn = DateTime.UtcNow;
+            Answers = new List<Answer>();
+            QuestionCategories = new List<QuestionCategory>();
+        }
+
         public string Title { get; set; }
 
@@ -24,7 +32,7 @@
         public DateTime LastActiveOn { get; set; }
 
-        public virtual IEnumerable<Answer> Answers { get; set; }
+        public virtual ICollection<Answer> Answers { get; set; }
 
-        public virtual IEnumerable<QuestionCategory> QuestionCategories { get; set; }
+        public virtual ICollection<QuestionCategory> QuestionCategories { get; set; }
 
         // TODO: Pole po koe ke pravime queries
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/QuestionCategory.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/QuestionCategory.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/QuestionCategory.cs	(revision 7146ebb2db66bf2d2437fe44c758e82313ba6278)
@@ -9,4 +9,8 @@
     public class QuestionCategory : BaseEntity
     {
+        public QuestionCategory() : base()
+        {
+        }
+
         public long QuestionFk { get; set; }
 
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Student.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Student.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/Student.cs	(revision 7146ebb2db66bf2d2437fe44c758e82313ba6278)
@@ -21,9 +21,9 @@
         public string ImageUrl { get; set; }
 
-        public virtual IEnumerable<Question> Questions { get; set; }
+        public virtual ICollection<Question> Questions { get; set; }
         
-        public virtual IEnumerable<Answer> Answers { get; set; }
+        public virtual ICollection<Answer> Answers { get; set; }
         
-        public virtual IEnumerable<StudentTeam> StudentTeams { get; set; }
+        public virtual ICollection<StudentTeam> StudentTeams { get; set; }
     }
 }
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Teacher.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Teacher.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/Teacher.cs	(revision 7146ebb2db66bf2d2437fe44c758e82313ba6278)
@@ -13,5 +13,5 @@
         public virtual ApplicationUser ApplicationUser { get; set; }
 
-        public virtual IEnumerable<TeacherTeam> TeacherTeams { get; set; }
+        public virtual ICollection<TeacherTeam> TeacherTeams { get; set; }
 
     }
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Team.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Team.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/Team.cs	(revision 7146ebb2db66bf2d2437fe44c758e82313ba6278)
@@ -13,9 +13,9 @@
         public string Description { get; set; }
 
-        public virtual IEnumerable<Question> Questions{ get; set; }
+        public virtual ICollection<Question> Questions{ get; set; }
 
-        public virtual IEnumerable<StudentTeam> TeamStudents { get; set; }
+        public virtual ICollection<StudentTeam> TeamStudents { get; set; }
 
-        public virtual IEnumerable<TeacherTeam> TeamTeachers { get; set; }
+        public virtual ICollection<TeacherTeam> TeamTeachers { get; set; }
     }
 }